import router from '@/router' 

import { useSystemStore } from '@/stores/modules/systemStore'



/**
 * * 退出
 */
export const fn_logout = (isGo = true) => {
  const systemStore = useSystemStore()
  systemStore.$reset()
  localStorage.removeItem("user_login_information");
  localStorage.removeItem("routeItem");
  localStorage.removeItem("menus");
  localStorage.removeItem("token");
  localStorage.removeItem("menuTabSate")
  localStorage.removeItem("menuSecondLongShow")
  
  if(router && isGo){ 
    router.push({
      name: "login"
    })
  }
}

